Subject: Re: New packge: lighttpd-1.3.0
From: Brian Dessent <[email-masked]>
To: "Gerrit @ cygwin" <[email-masked]>
Date: Wed, 22 Sep 2004 19:11:39 -0700

"Gerrit P. Haase" wrote:
> 
> Hello Brian,
> 
> > FYI what I'm doing basically amounts to:
> 
> [...]
> 
> I run basically the same set on php-5, I don't get a libphp at all,
> all objects are compiled into php.exe, no library around here:-(
> 
> I have a flag here:
> --enable-embed=TYPE   EXPERIMENTAL: Enable building of embedded SAPI library
>                           TYPE is either 'shared' or 'static'. TYPE=shared
> 
> is this new in php-5?  Lets see what happens when I define it.

No, it's the same in php4, and I haven't had to touch it.

Are you using one of --with-apxs or --with-apache?  The former requires
Apache to be installed and the apxs binary in the path or specified
location, and the latter requires an Apache source tree that's been
configured.  If neither is found or gives an error then it won't try to
build as an apache module, which looks like what's happening in your
case -- getting the CLI only.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/